Public Class PropertyGrid_Paper
    '//이것은 페이지의 속성을 가진다.
    Structure S_Size
        Dim 가로 As Short
        Dim 세로 As Short
        Public Sub New(ByVal w As Short, ByVal h As Short)
            가로 = w
            세로 = h
        End Sub
    End Structure

    Dim v가로확대 As Single
    Dim v세로확대 As Single
    Dim v연속출력횟수 As Short
    Dim v연속여백x, v연속여백y As Single
    Dim v배경 As System.Drawing.Image
    Dim v그림파일 As System.IO.File
    Dim v파일선택 As New Windows.Forms.Button
    Dim v출력여백x, v출력여백y As Single


    Dim SF As printform

    '    Public Sub New(ByRef pSetfrm As printform)
    '       SF = pSetfrm
    '   End Sub



    Public Property 출력여백X() As Single
        Get
            Return v출력여백x
        End Get
        Set(ByVal value As Single)
            v출력여백x = value
        End Set
    End Property

    Public Property 출력여백Y() As Single
        Get
            Return v출력여백y
        End Get
        Set(ByVal value As Single)
            v출력여백y = value
        End Set
    End Property


    Public Property 가로확대비율() As Single
        Get
            Return Me.v가로확대
        End Get
        Set(ByVal value As Single)
            v가로확대 = value
        End Set
    End Property


    Public Property 세로확대비율() As Single
        Get
            Return Me.v세로확대
        End Get
        Set(ByVal value As Single)
            v세로확대 = value
        End Set
    End Property


    Public Property 출력장수() As Short
        Get
            Return v연속출력횟수
        End Get
        Set(ByVal value As Short)
            v연속출력횟수 = value
            SF.preview_window()
        End Set
    End Property


    Public Property 연속여백x() As Single
        Get
            Return v연속여백x
        End Get
        Set(ByVal value As Single)
            v연속여백x = value
            SF.preview_window()
        End Set
    End Property

    Public Property 연속여백y() As Single
        Get
            Return v연속여백y
        End Get
        Set(ByVal value As Single)
            v연속여백y = value
            SF.preview_window()
        End Set
    End Property




End Class

Public Class PropertyGrid_Image

    Dim Obj As S_Image
    Dim SF As printform
    Dim Offset As Short

    Public Sub New(ByVal voffset As Short, ByRef pSetfrm As printform)
        SF = pSetfrm
        Obj = Draw_Image.Item(voffset)
        Me.Offset = voffset
    End Sub


    Public Property 시작좌표X() As Single
        Get
            Return Obj.X
        End Get
        Set(ByVal value As Single)
            Obj.X = value
            Draw_Image.Item(Offset) = Obj
            'preview_window()
            SF.Refresh_Drawlist()
        End Set
    End Property

    Public Property 시작좌표Y() As Single
        Get
            Return Obj.Y
        End Get
        Set(ByVal value As Single)
            Obj.Y = value
            Draw_Image.Item(Offset) = Obj
            'preview_window()
            SF.Refresh_Drawlist()
        End Set
    End Property



    Public Property 가로길이() As Single
        Get
            Return Obj.Width
        End Get
        Set(ByVal value As Single)
            Obj.Width = value
            Draw_Image.Item(Offset) = Obj
            'preview_window()
            SF.Refresh_Drawlist()
        End Set
    End Property
    Public Property 세로길이() As Single
        Get
            Return Obj.Height
        End Get
        Set(ByVal value As Single)
            Obj.Height = value
            Draw_Image.Item(Offset) = Obj
            'preview_window()
            SF.Refresh_Drawlist()
        End Set
    End Property

    Public Property 파일명() As String
        Get
            Return Obj.FileName
        End Get
        Set(ByVal value As String)
            Obj.FileName = value
            Draw_Image.Item(Offset) = Obj
            'preview_window()
            SF.Refresh_Drawlist()
        End Set
    End Property

End Class